Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.core.controller
Class ProbeController

    java.lang.Object
      kieker.monitoring.core.controller.AbstractController
          kieker.monitoring.core.controller.ProbeController

All Implemented Interfaces:
  IProbeController

    public class ProbeController

extends AbstractController
implements IProbeController

Since:
  1.6
Author:
  Jan Waller, Bjoern Weissenfels, Nils Christian Ehmke

Method Summary
`boolean` | `activateProbe(String pattern)` Activates a probe.
`boolean` | `deactivateProbe(String pattern)` Deactivates a probe.
`List<String>` | `getProbePatternList()` Returns the current list of patterns with a prefix indicating whether the pattern is active or not.
`boolean` | `isProbeActivated(String signature)` Tests if a probe is active.
`void` | `setProbePatternList(List<String> strPatternList)` Overwrites the current list of patterns with a new pattern list.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  Specified by:
    `toString` in class `AbstractController`

### activateProbe

    public boolean activateProbe(String pattern)

  Activates a probe.

  Specified by:
    `activateProbe` in interface `IProbeController`
  Parameters:
    `pattern` - pattern for the probe
  Returns:
    true on success

### deactivateProbe

    public boolean deactivateProbe(String pattern)

  Deactivates a probe.

  Specified by:
    `deactivateProbe` in interface `IProbeController`
  Parameters:
    `pattern` - pattern for the probe
  Returns:
    true on success

### isProbeActivated

    public boolean isProbeActivated(String signature)

  Tests if a probe is active. This test is ignorant of the fact whether monitoring itself is enabled/disabled/terminated.

  Specified by:
    `isProbeActivated` in interface `IProbeController`
  Parameters:
    `signature` - signature of the probe
  Returns:
    true if the probe with this signature is active

### setProbePatternList

    public void setProbePatternList(List<String> strPatternList)

  Overwrites the current list of patterns with a new pattern list.

  Specified by:
    `setProbePatternList` in interface `IProbeController`
  Parameters:
    `strPatternList` - list of strings with patterns where each string starts either with a + or -. The list can be empty (in which case the internal pattern list and the internal cache are cleared) - but not null.

### getProbePatternList

    public List<String> getProbePatternList()

  Returns the current list of patterns with a prefix indicating whether the pattern is active or not.

  Specified by:
    `getProbePatternList` in interface `IProbeController`
  Returns:
    list of strings with patterns where each string starts either with a + or -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net